<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.AeaDestinatari" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="AEA_Destinatari">
        <id name="id" type="java.lang.Integer">
            <column name="ID"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="idordinante" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="iddestinatario" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDDestinatario"/>
        </property>
        <property generated="never" lazy="false" name="cab" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="Cab"/>
        </property>
        <property generated="never" lazy="false" name="tipoCodiceDestinatario" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="TipoCodiceDestinatario"/>
        </property>
        <property generated="never" lazy="false" name="codiceDestinatario" optimistic-lock="true" type="string" unique="false">
            <column length="16" name="CodiceDestinatario"/>
        </property>
        <property generated="never" lazy="false" name="abi" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="Abi"/>
        </property>
        <property generated="never" lazy="false" name="dataSottoscrizioneMandato" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Sottoscrizione_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="dataUltimoAllineamento" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataUltimoAllineamento"/>
        </property>
        <property generated="never" lazy="false" name="statoAllineamento" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="StatoAllineamento"/>
        </property>
        <property generated="never" lazy="false" name="identificativoUnivocoMandatoSeda" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="IdentificativoUnivocoMandatoSeda"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="funzioneOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="FunzioneOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="codiceFiscaleSottoscrittore" optimistic-lock="true" type="string" unique="false">
            <column length="16" name="CodiceFiscaleSottoscrittore"/>
        </property>
        <property generated="never" lazy="false" name="codiceFiscaleIntestatarioConto" optimistic-lock="true" type="string" unique="false">
            <column length="16" name="CodiceFiscaleIntestatarioConto"/>
        </property>
        <property generated="never" lazy="false" name="intestatarioConto" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="IntestatarioConto"/>
        </property>
        <property generated="never" lazy="false" name="facoltàStorno" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="FacoltàStorno"/>
        </property>
        <property generated="never" lazy="false" name="conto" optimistic-lock="true" type="string" unique="false">
            <column length="12" name="Conto"/>
        </property>
        <property generated="never" lazy="false" name="cin" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="Cin"/>
        </property>
        <property generated="never" lazy="false" name="coordinateIban" optimistic-lock="true" type="string" unique="false">
            <column length="42" name="CoordinateIBAN"/>
        </property>
        <property generated="never" lazy="false" name="denominazioneBanca" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="DenominazioneBanca"/>
        </property>
        <property generated="never" lazy="false" name="counterEsiti90660" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="CounterEsiti90660"/>
        </property>
        <property generated="never" lazy="false" name="ultimoAllineamento" optimistic-lock="true" type="string" unique="false">
            <column length="100" name="UltimoAllineamento"/>
        </property>
        <property generated="never" lazy="false" name="flagClassificazioneConto" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="FlagClassificazioneConto"/>
        </property>
        <property generated="never" lazy="false" name="tipoSequenza" optimistic-lock="true" type="string" unique="false">
            <column length="4" name="TipoSequenza"/>
        </property>
        <property generated="never" lazy="false" name="tipoMandatoAea" optimistic-lock="true" type="string" unique="false">
            <column length="9" name="TipoMandatoAEA"/>
        </property>
        <property generated="never" lazy="false" name="tipoIncassoAea" optimistic-lock="true" type="string" unique="false">
            <column length="4" name="TipoIncassoAEA"/>
        </property>
    </class>
</hibernate-mapping>
